- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.control.RadioButton Class Reference

The smjg.libs.sdwf.control.RadioButton class interfaces a radio button control. More...

Inheritance diagram for smjg.libs.sdwf.control.RadioButton:

List of all members.

## Public Member Functions
| this (Dialog parent, int id)
| Constructs a RadioButton object to interface a given radio button control.
| this (WindowBase parent, int id, string text, Rect position, bool firstInGroup=false)
| Constructs a radio button to be created at runtime.

## Detailed Description

The smjg.libs.sdwf.control.RadioButton class interfaces a radio button control.

Radio buttons are also often known as option buttons. The class is identical to CheckBox except for the constructor to create at runtime.

To interface radio buttons in a dialog, the RadioButtonGroup class provides a more convenient interface.

## Constructor & Destructor Documentation

smjg.libs.sdwf.control.RadioButton.this | ( | Dialog | parent,
|  | int | id |
| ) |  |  |

Constructs a RadioButton object to interface a given radio button control.

Parameters:

  | parent | the dialog on which the control is placed.
  | id | numeric ID of the control.

Precondition:
  The parent interface element must already have been created. RadioButton objects should be constructed in an overridden Dialog.setup method, not in the constructor of a Dialog subclass.

Status:
  done

Reimplemented from smjg.libs.sdwf.control.CheckBox.

smjg.libs.sdwf.control.RadioButton.this | ( | WindowBase | parent,
|  | int | id,
|  | string | text,
|  | Rect | position,
|  | bool | firstInGroup = `false` |
| ) |  |  |

Constructs a radio button to be created at runtime.

Parameters:

  | parent | the window or dialog on which the radio button will be placed.
  | id | numeric ID that the radio button will have.
  | text | the check box's caption text.
  | position | the position on the parent window where the check box will be placed.
  | firstInGroup | whether this radio button is the first in its group.

Since:
  0.4

Status:
  done

The documentation for this class was generated from the following file:

- control.d